E-MailRelay

Classes | Static Public Member Functions | List of all members
G::CleanupImp Class Reference

A static implementation class used by G::Cleanup. More...

## Static Public Member Functions
static void | add (bool(*fn)(SignalSafe, const char *), const char *)
static void | installDefault (const SignalSafe &, int)
static void | installDefault (int)
static void | installIgnore (int)
static void | callHandlers ()
static bool | callHandlersOnce (SignalSafe)
static void | atexit (bool active)
static void | block () noexcept
static void | release () noexcept
static const char * | strdup_ignore_leaks (const char *p)

## Detailed Description

A static implementation class used by G::Cleanup.

Definition at line 44 of file gcleanup_unix.cpp.

## Member Function Documentation

## ◆ add()

void G::CleanupImp::add | ( | bool(*)(SignalSafe, const char *) | fn,
|  | const char * | arg
| ) |  |
| static

Definition at line 158 of file gcleanup_unix.cpp.

## ◆ atexit()

void G::CleanupImp::atexit | ( | bool | active | ) |
| static

Definition at line 218 of file gcleanup_unix.cpp.

## ◆ block()

void G::CleanupImp::block | ( |  | ) |
| static noexcept

Definition at line 275 of file gcleanup_unix.cpp.

## ◆ callHandlers()

void G::CleanupImp::callHandlers | ( |  | ) |
| static

Definition at line 234 of file gcleanup_unix.cpp.

## ◆ callHandlersOnce()

bool G::CleanupImp::callHandlersOnce | ( | SignalSafe |  | ) |
| static

Definition at line 243 of file gcleanup_unix.cpp.

## ◆ installDefault() [1/2]

void G::CleanupImp::installDefault | ( | const SignalSafe & | ,
|  | int | signum
| ) |  |
| static

Definition at line 199 of file gcleanup_unix.cpp.

## ◆ installDefault() [2/2]

void G::CleanupImp::installDefault | ( | int | signum | ) |
| static

Definition at line 194 of file gcleanup_unix.cpp.

## ◆ installIgnore()

void G::CleanupImp::installIgnore | ( | int | signum | ) |
| static

Definition at line 204 of file gcleanup_unix.cpp.

## ◆ release()

void G::CleanupImp::release | ( |  | ) |
| static noexcept

Definition at line 286 of file gcleanup_unix.cpp.

## ◆ strdup_ignore_leaks()

const char * G::CleanupImp::strdup_ignore_leaks | ( | const char * | p | ) |
| static

Definition at line 300 of file gcleanup_unix.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gcleanup_unix.cpp